¡Bienvenido!

Esta comunidad es para profesionales y entusiastas de nuestros productos y servicios, compartir los mejores contenidos y nuevas ideas de marketing, construir su perfil profesional y mejorar el mercado para todos.

0

Error al realizar creación de presuesto en odoo 12 (esto ocurre posterior a la instalación del modulo de facturación)

por
Fco Villegas
en 26-02-20 17:04 306 vistas

Este error se produce al momento de indicarle al sistema el valor de impuestos de IVA 19%.

Error:

Odoo Server Error


Traceback (most recent call last):

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/api.py", line 1039, in get

    value = self._data[key][field][record._ids[0]]

KeyError: <odoo.models.NewId object at 0x7fdceb0e1110>


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/fields.py", line 981, in __get__

    value = record.env.cache.get(record, self)

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/api.py", line 1041, in get

    raise CacheMiss(record, field)

odoo.exceptions.CacheMiss: ('sale.order.line(<odoo.models.NewId object at 0x7fdceb0e1110>,).price_subtotal', None)


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/http.py", line 656, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/http.py", line 314, in _handle_exception

    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/tools/pycompat.py", line 87, in reraise

    raise value

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/http.py", line 698, in dispatch

    result = self._call_function(**self.params)

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/http.py", line 346, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/service/model.py", line 97, in wrapper

    return f(dbname, *args, **kwargs)

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/http.py", line 339, in checked_call

    result = self.endpoint(*a, **kw)

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/http.py", line 941, in __call__

    return self.method(*args, **kw)

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/http.py", line 519, in response_wrap

    response = f(*args, **kw)

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/addons/web/controllers/main.py", line 962, in call_kw

    return self._call_kw(model, method, args, kwargs)

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/addons/web/controllers/main.py", line 954, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/api.py", line 749, in call_kw

    return _call_kw_multi(method, model, args, kwargs)

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/api.py", line 736, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/models.py", line 5519, in onchange

    for name in nametree

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/models.py", line 5520, in <listcomp>

    if name not in done and snapshot0.has_changed(name)

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/models.py", line 5422, in has_changed

    return self[name] != record[name]

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/models.py", line 5123, in __getitem__

    return self._fields[key].__get__(self, type(self))

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/fields.py", line 987, in __get__

    self.determine_draft_value(record)

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/fields.py", line 1109, in determine_draft_value

    self._compute_value(record)

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/fields.py", line 1043, in _compute_value

    getattr(records, self.compute)()

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/addons/sale/models/sale.py", line 990, in _compute_amount

    taxes = line.tax_id.compute_all(price, line.order_id.currency_id, line.product_uom_qty, product=line.product_id, partner=line.order_id.partner_shipping_id)

  File "/opt/bitnami/apps/odoo/lib/odoo-12.0.post20190918-py3.7.egg/odoo/addons/l10n_cl_fe/models/account_tax.py", line 119, in compute_all

    tax_amount = tax._compute_amount(base, price_unit, quantity, product, partner, uom_id)

TypeError: _compute_amount() takes from 3 to 6 positional arguments but 7 were given

Mantener informado

Acerca de esta comunidad

Esta comunidad Relacionada a Odoo y la Facturación electrónica Chilena.
Cualquier consulta pública sobre los módulos abiertos se puede hacer aquí
Lea los lineamientos

Herramientas de las preguntas

9 seguidor(es)

Estadísticas

Preguntado: 26-02-20 17:04
Visto: 306 veces
Última actualización: 22-05-20 23:15